##############################
#                            #
# Ansible / Tower managed on #
#                            #
##############################

<IfModule mod_ssl.c>
<VirtualHost *:{{ add_apache_configuration.https_port }}>

{% include './templates/01-server-definition.j2' %}

{% include './templates/02-basic-module.j2' %}

{% include './templates/03-log-module.j2' %}

{% include './templates/10-ssl-module.j2' %}

{% if add_apache_configuration__configuration.security.enabled | default(false) %}
{% include './templates/05-security-module.j2' %}
{% endif %}

{% if add_apache_configuration__configuration.rewrite.enabled | default(false) %}
{% include './templates/06-rewrite-module.j2' %}
{% endif %}

{% if add_apache_configuration__configuration.redirect.enabled | default(false) %}
{% include './templates/07-redirect-module.j2' %}
{% endif %}

{% if add_apache_configuration__configuration.ldap.enabled | default(false) %}
{% include './templates/08-ldap-module.j2' %}
{% endif %}

{% if add_apache_configuration__configuration.proxy.enabled | default(false) %}
{% include './templates/09-proxy-module.j2' %}
{% endif %}

</VirtualHost>
</IfModule>
